#include <stdio.h>
#include <stdlib.h>

int main()
{
    int brVaga, brPitanja, *donjeGranice, *gornjeGranice, i, j, pocetniIndeks, krajnjiIndeks, tezina;
    int* rezultat;
    scanf("%d %d", &brVaga, &brPitanja);

    donjeGranice = (int*)malloc(brVaga * sizeof(int));
    gornjeGranice = (int*)malloc(brVaga * sizeof(int));
    rezultat = (int*)malloc(brPitanja * sizeof(int));

    for (i = 0; i < brVaga; i++)
    {
        scanf("%d %d", &donjeGranice[i], &gornjeGranice[i]);
    }

    for (i = 0; i < brPitanja; i++)
    {
        scanf("%d %d %d", &pocetniIndeks, &krajnjiIndeks, &tezina);
        j = pocetniIndeks - 1;
        rezultat[i] = 0;
        for (j = pocetniIndeks - 1; j < krajnjiIndeks; j++)
            if (tezina >= donjeGranice[j] && tezina <= gornjeGranice[j])
                rezultat[i]++;
    }
    for (i = 0; i < brPitanja; i++)
    {
        printf("%d\n", rezultat[i]);
    }
    free(donjeGranice);
    free(gornjeGranice);
    free(rezultat);
    return 0;
}